org.openmuc.openiec61850

## Enum Fc

- java.lang.Object
- - java.lang.Enum<Fc>
  - - org.openmuc.openiec61850.Fc

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Fc>

    public enum Fc
    extends java.lang.Enum<Fc>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BL` Blocking
`BR` Buffered Reporting
`CF` Configuration
`CO` Control, deprecated but kept here for backward compatibility
`DC` Description
`EX` Extended definition
`MX` Measurands - analogue values
`OR` Operate received
`RP` Unbuffered Reporting
`SE` Setting group editable
`SG` Setting group
`SP` Setpoint
`SR` Service response / Service tracking
`ST` Status information
`SV` Substitution

### Method Summary

All Methods Static Methods Concrete Methods
`static Fc` `fromString(java.lang.String fc)`
`static Fc` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Fc[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ST

    public static final Fc ST

Status information

#### MX

    public static final Fc MX

Measurands - analogue values

#### SP

    public static final Fc SP

Setpoint

#### SV

    public static final Fc SV

Substitution

#### CF

    public static final Fc CF

Configuration

#### DC

    public static final Fc DC

Description

#### SG

    public static final Fc SG

Setting group

#### SE

    public static final Fc SE

Setting group editable

#### SR

    public static final Fc SR

Service response / Service tracking

#### OR

    public static final Fc OR

Operate received

#### BL

    public static final Fc BL

Blocking

#### EX

    public static final Fc EX

Extended definition

#### CO

    public static final Fc CO

Control, deprecated but kept here for backward compatibility

#### RP

    public static final Fc RP

Unbuffered Reporting

#### BR

    public static final Fc BR

Buffered Reporting

### Method Detail

#### values

    public static Fc[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Fc c : Fc.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Fc valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromString

    public static Fc fromString(java.lang.String fc)